%define upstream_name	 SCUBA-Table-NoDeco
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Calculate no-decompression dive times
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Scuba/%{upstream_name}-%{upstream_version}.tar.bz2


Buildarch:	noarch

%description
This module provides the ability to perform useful calculations using
dive-tables, including calculating dive groups and maximum no-decompression
times for repetitive dives. A selection of tables are available. The module
assumes that the diver is using air as their breathing gas.

%prep
%setup -n %{upstream_name}-%{upstream_version}
# fix perms
chmod 644 README Changes lib/SCUBA/Table/NoDeco.pm
# fix encoding
perl -pi -e 's/\015$//' README Changes lib/SCUBA/Table/NoDeco.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files 
%doc Changes README
%{perl_vendorlib}/SCUBA
%{_mandir}/*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-10.mga9
+ Revision: 1805665
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-9.mga8
+ Revision: 1497130
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1271055
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1033014
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 939754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 739350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 686120
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 514479
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 372339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 22815
- cleaning spec file
- imported package perl-SCUBA-Table-NoDeco


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404378
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-7mdv2009.0
+ Revision: 258354
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-6mdv2009.0
+ Revision: 246412
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.03-4mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-4mdv2008.0
+ Revision: 47030
- rebuild


* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-3mdv2007.0
- spec cleanup
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdk 
- better url
- drop useless empty directories
- spec cleanup
- make test in %%check

* Sun Dec 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- first mdk release

